commit - e80b37ed23f3a4daa623c92b650c7049a8157d66
commit + 598139dd22c7c7517a6542803c64e88acd78b162
blob - ae90802d81971ccb442e448a51fe44af0f361a65
blob + 268249a815ad44606f4c2543ab5bcc57e1034c1b
--- .github/README.md
+++ .github/README.md
a `-portable`-specific issue needs addressing, for example.
Before creating a new release, check the version of GoT as found in
-`configure.ac`:
+`util/got-portable-ver.sh` -- as `GOT_PORTABLE_VER`:
```
-AC_INIT([got-portable], [0.75], [thomas@xteddy.org])
+GOT_PORTABLE_VER=0.75
```
blob - 63a004434ea67aa086a5ee9fac683b36f54f4144
blob + 5c80afd828b701b6bac2520234caac17786a9d65
--- README.portable
+++ README.portable
a `-portable`-specific issue needs addressing, for example.
Before creating a new release, check the version of GoT as found in
-`configure.ac`:
+`util/got-portable-ver.sh` -- as `GOT_PORTABLE_VER`:
```
-AC_INIT([got-portable], [0.75], [thomas@xteddy.org])
+GOT_PORTABLE_VER=0.75
```
blob - 70dcea359a5996c0b6db31f00846dcf9df935695
blob + 3b5f4c70365fc312561239826621e04749667771
--- configure.ac
+++ configure.ac
# Process this file with autoconf to produce a configure script.
AC_PREREQ([2.69])
-AC_INIT([got-portable], [0.75], [thomas@xteddy.org])
+AC_INIT([got-portable],
+ m4_esyscmd([util/got-portable-ver.sh]),
+ [thomas@xteddy.org])
AC_CONFIG_AUX_DIR(etc)
AC_CONFIG_SRCDIR([lib/rcsutil.h])
AM_INIT_AUTOMAKE([foreign subdir-objects])
blob - /dev/null
blob + b059ff2740c505d90bcf9007e5e060fcd6b363e6 (mode 755)
--- /dev/null
+++ util/got-portable-ver.sh
+#!/bin/sh
+#
+# got-portable-ver: emits the version of b-em which is building.
+# If this is a release build, then the tag name is chomped
+# to remove extraneous git information.
+#
+# If it's a developer build, it's left as-is.
+#
+# Intended to be called from configure.ac (via autogen.sh)
+GOT_PORTABLE_VER=0.75
+
+[ -d ".git" ] || { echo "$B_EM_VERSION" ; exit ; }
+
+git describe --always --dirty 2>/dev/null || \
+ echo "$GOT_PORTABLE_VER"